Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.solutions.identity.persistence.dataobject
Class RelyingPartyDO

    java.lang.Object
      org.wso2.solutions.identity.persistence.dataobject.AbstractDataObject
          org.wso2.solutions.identity.persistence.dataobject.RelyingPartyDO

    public class RelyingPartyDO

extends AbstractDataObject

Constructor Summary
`RelyingPartyDO()`

Method Summary
`void` | `addPPIDValue(PPIDValueDO ppid)`
`java.lang.String` | `getAlias()`
`java.lang.String` | `getHostName()`
`java.util.Set` | `getPpidValues()`
`java.lang.String` | `getStoreName()`
`void` | `setAlias(java.lang.String alias)`
`void` | `setHostName(java.lang.String hostName)`
`void` | `setPpidValues(java.util.Set ppidValues)`
`void` | `setStoreName(java.lang.String storeName)`

Methods inherited from class org.wso2.solutions.identity.persistence.dataobject.AbstractDataObject
`getId, getLastUpdatedTime, setId, setLastUpdatedTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RelyingPartyDO

    public RelyingPartyDO()

Method Detail

### getAlias

    public java.lang.String getAlias()

### setAlias

    public void setAlias(java.lang.String alias)

### getStoreName

    public java.lang.String getStoreName()

### setStoreName

    public void setStoreName(java.lang.String storeName)

### addPPIDValue

    public void addPPIDValue(PPIDValueDO ppid)

### getPpidValues

    public java.util.Set getPpidValues()

### setPpidValues

    public void setPpidValues(java.util.Set ppidValues)

### getHostName

    public java.lang.String getHostName()

### setHostName

    public void setHostName(java.lang.String hostName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD